#ifndef __CAMERA_HPP__
#define __CAMERA_HPP__

#include "../../Types/Vector3.hpp"

class Camera
{
    protected:
        Vector3f position;
        Vector3f direction;
        Vector3f up;

    public:

        Camera(Vector3f position, Vector3f direction, Vector3f up):position(position),direction(direction),up(up) {}
        virtual ~Camera() {}

        virtual Vector3f getPosition() { return position; }
        virtual Vector3f getDirection() { return direction; }
        virtual Vector3f getUp() { return up; }

        virtual void apply()=0;

        void display();

};

#endif
