#include "TopDownCamera.hpp"

#include "../../NEngine/Controllers/InputManager.hpp"

void TopDownCamera :: update(InputManager::ArrowsDirection directions)
{
    if ( (directions & InputManager::AD_UP) == InputManager::AD_UP )
    {
        moveUp();
    }
    if ( (directions & InputManager::AD_DOWN) == InputManager::AD_DOWN )
    {
        moveDown();
    }
    if ( (directions & InputManager::AD_LEFT) == InputManager::AD_LEFT)
    {
        moveLeft();
    }
    if ( (directions & InputManager::AD_RIGHT) == InputManager::AD_RIGHT )
    {
        moveRight();
    }
}
