#ifndef __PYRAMIDE_HPP__
#define __PYRAMIDE_HPP__

#include "../3D/LineRenderer.hpp"

#include "../Types/Vector3.hpp"

class Pyramide
{
    private:
        Vector3f position;
        Vector3f rotation;

        LineRenderer renderer;

        bool active;

    public:
        Pyramide(Vector3f position, Vector3f rotation, Colour3 colour, float scale=1);

        void draw();
        void update();

        void setActive(bool newState) { active = newState; }
        bool getActive() { return active; }
};

#endif
