#ifndef __STAR_HPP__
#define __STAR_HPP__

#include "../3D/LineRenderer.hpp"

#include "../Types/Vector3.hpp"

class Star
{
    private:
        Vector3f position;
        Vector3f rotation;

        LineRenderer renderer;

        void generate();

    public:
        Star(Vector3f position, Vector3f rotation, Colour3 colour);

        void draw();
        void update();
};

#endif
