#ifndef __SCENE_HPP__
#define __SCENE_HPP__

class Window;
class Camera;
class Grid;
class Music;

class Scene
{
    protected:

        float pulseValue;
        float fadeValue;

    public:

        Scene():pulseValue(0),fadeValue(0) {}

        virtual void setSceneRender()=0;
        virtual void draw(Window* pWindow)=0;
        virtual bool update(const Camera& camera, Grid* pGrid, Music* pMusic, unsigned int time)=0;

        virtual float getPulseValue() { return pulseValue; }
        virtual float getFadeValue() { return fadeValue; }
};

#endif
