#ifndef __SCENESPECTRUMIMPULSEPART_HPP__
#define __SCENESPECTRUMIMPULSEPART_HPP__

#include <vector>

#include "Scene.hpp"

#include "../3D/Camera/LinearCamera.hpp"
#include "../3D/LineRenderer.hpp"
#include "../Objects/Font.hpp"

class Window;
class Camera;
class Particules3;

class SceneSpectrumImpulsePart : public Scene
{
    private:

        std::vector<LinearCamera*> cams;
        unsigned int currentCam;

        std::vector<Particules3*> parts;

        unsigned int startTime;

    public:

        SceneSpectrumImpulsePart();
        ~SceneSpectrumImpulsePart();

        void setSceneRender();
        void draw(Window* pWindow);
        bool update(const Camera& camera, Grid* pGrid, Music* pMusic, unsigned int time);
};

#endif
