#include "SceneTitle.hpp"

#include <GL/gl.h>

#include "../NEngine/Window.hpp"
#include "../3D/Camera/Camera.hpp"
#include "../3D/LineRenderer.hpp"

#include "../Objects/Particules.hpp"


SceneTitle :: SceneTitle():scamera(Vector3f(0,0,-5),Vector3f(0,0,1),Vector3f(0,1,0)),
    parts1(Vector3f(6,1,6),Colour4(0.0,0.74,0.19,1.0),500,0.2),
    parts2(Vector3f(6,1-0.010,6),Colour4(0.39,0.87,0.52,1.0),500,0.4),
    parts3(Vector3f(6,1-0.02,6),Colour4(0.19,0.086,0.72,1.0),500,0.6),
    parts4(Vector3f(6,1-0.03,6),Colour4(0.39,0.29,0.847,1.0),500,0.7),
    parts5(Vector3f(6,1-0.04,6),Colour4(1.0,0.8,0.0,1.0),500,0.9),
    parts6(Vector3f(6,1-0.05,6),Colour4(1.0,0.11,0.0,1.0),500,1.1)
{
}

void SceneTitle :: draw(Window* pWindow)
{
    scamera.apply();

    glPushMatrix();

    glRotatef(-90,1,0,0);
    f.drawText(Vector3f(0.85,0,0.25),"Hello",0.3);



    glPopMatrix();
}

bool SceneTitle :: update(const Camera& camera, unsigned int time)
{

    return true;
}


