#ifndef __SCENETITLE_HPP__
#define __SCENETITLE_HPP__

#include "Scene.hpp"

#include "../3D/Camera/StaticCamera.hpp"
#include "../3D/LineRenderer.hpp"

#include "../Objects/Particules.hpp"
#include "../Objects/Font.hpp"

class Window;
class Camera;

class SceneTitle : public Scene
{
    private:

        StaticCamera scamera;
        Font f;

        Particules parts1;
        Particules parts2;
        Particules parts3;
        Particules parts4;
        Particules parts5;
        Particules parts6;

    public:

        SceneTitle();

        void draw(Window* pWindow);
        bool update(const Camera& camera, unsigned int time);
};

#endif
