#ifndef __SETTINGS_HPP__
#define __SETTINGS_HPP__

#include <map>
#include <string>

class Settings
{
    private:

        std::map<std::string , float> settings;

    public:

        Settings(const std::string& fileName);

        float getSetting(const std::string& settingName, float defaultValue);
};

#endif
