#ifndef __ROTATINGCAMERA_HPP__
#define __ROTATINGCAMERA_HPP__

#include "GLUCamera.hpp"

#include "../../NEngine/Controllers/InputManager.hpp"

class RotatingCamera : public GLUCamera
{
    private:

        float distance;
        float moveStep;

        float angle;

    public:

        RotatingCamera(const Vector3f& interestPoint, float distance, float moveStep):GLUCamera(Vector3f(0,0,0), Vector3f(interestPoint), Vector3f(0,1,0)),distance(distance),moveStep(moveStep),angle(0) {}

        void apply();
        void update();
};

#endif
