#include "Impulsor.hpp"

#include <SDL/SDL.h>

Impulsor :: Impulsor(unsigned int impulsionRate):lastUpdate(SDL_GetTicks()),impulsionRate(impulsionRate),impulsion(false)
{

}

bool Impulsor :: needImpulse()
{
    return impulsion;
}

void Impulsor :: update()
{
    unsigned int currentTime = SDL_GetTicks();
    if ( currentTime - lastUpdate > impulsionRate )
    {
        impulsion = true;
        lastUpdate = SDL_GetTicks();
    }
    else
    {
        impulsion = false;
    }


}
