#ifndef __PARTICULES4_HPP__
#define __PARTICULES4_HPP__

#include <vector>

#include "../Types/Vector4.hpp"
#include "../Types/Vector3.hpp"

class Particules4
{
    private:

        struct Particule
        {
            Vector3f position;
            Colour4 colour;

            bool living;
            unsigned int life;
        };

        std::vector<Particule> particules;

        Vector3f startPosition;
        Colour4 startColour;
        unsigned int livingParticules;

        float counter;
        float offset;

    public:

        Particules4(const Vector3f& startPosition, const Colour4& colour, const unsigned int nbParticules, float offset);

        void draw();
        void update();
};

#endif
