#ifndef __SCROLLER_HPP__
#define __SCROLLER_HPP__

#include <string>

#include "../Types/Vector3.hpp"

class Font;

class Scroller
{
    private:

        Font* pFont;

        Vector3f position;
        std::string text;

    public:

        Scroller(Font* pFont, const Vector3f& position, const std::string& text):pFont(pFont),position(position),text(text) {}

        void draw(float scale = 1);
        void update(void);
};

#endif
