#include "Scene1.hpp"

#include "../NEngine/Window.hpp"
#include "../3D/Camera/Camera.hpp"
#include "../3D/LineRenderer.hpp"
#include "../Objects/Grid.hpp"


Scene1 :: Scene1():grid(30,30,0.4)
{
    grid.makeElevation(5,5,2);
}

void Scene1 :: draw(Window* pWindow)
{
    lr.clear();
    lr.addLines(grid.getPoints(),grid.getIndices());

    lr.draw();
    f.drawText(Vector3f(6,1,5),"Hello",1);
}

bool Scene1 :: update(const Camera& camera, unsigned int time)
{
    grid.updateImpulsion();

    return true;
}


