#ifndef __SCENE1_HPP__
#define __SCENE1_HPP__

#include "Scene.hpp"

#include "../3D/LineRenderer.hpp"
#include "../Objects/Grid.hpp"
#include "../Objects/Font.hpp"

class Window;
class Camera;

class Scene1 : public Scene
{
    private:

        Grid grid;
        Font f;

        LineRenderer lr;

    public:

        Scene1();

        void draw(Window* pWindow);
        bool update(const Camera& camera, unsigned int time);
};

#endif
