#ifndef __SCENESAD_HPP__
#define __SCENESAD_HPP__

#include <vector>

#include "Scene.hpp"

#include "../3D/Camera/LinearCamera.hpp"
#include "../3D/LineRenderer.hpp"
#include "../Objects/Font.hpp"

class Window;
class Camera;
class Particules;

class SceneSad : public Scene
{
    private:

        std::vector<LinearCamera*> cams;
        unsigned int currentCam;

        Font f;
        //std::vector<Particules*> parts;

        unsigned int startTime;

        unsigned int step;

    public:

        SceneSad();
        ~SceneSad();

        void setSceneRender();
        void draw(Window* pWindow);
        bool update(const Camera& camera, Grid* pGrid, Music* pMusic, unsigned int time);
};

#endif
